Сайт | Скачать | Видео | Wiki

Автор Тема: Puppy Linux 8.0 Локализация и sfs модуль Яндекс Браузера  (Прочитано 375 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн eword

  • Новичок
  • *
  • Сообщений: 2
  • Репутация: +1/-0
Модераторы! Не судите строго, пишу здесь первый раз. Просто хочу поделиться опытом про то как я завел себе песика.
В общем, слетел у меня винт наглухо и я заморочился этой темой - ось на флешке.  И поставил я себе Puppy Linux 8.0 благо он только вышел.
Локализация: Нормального пакета так и не нашел, то полностью не русифицирует, то настройки рабочего стола сносит.
Вот мой гибридный вариант из 2-х пакетов, почти все на родном языке, установка и удаление из Менеджера пакетов Puppy:
https://yadi.sk/d/Jp2QJocBPGz2ag
1 Ставим пакет 14-го года.
2 Удаляем этот пакет, при этом Рабочий стол и Меню останутся русскими.
3 Ставим пакет 18-го года.
Не забываем после каждого действия перегружать X сервер.

Далее, намучился я с этим PaleMoon -ом! Но, в итоге все настроил. Чтобы перенести пароли из Firefox, пришлось искать и подключать 51 версию лисы в виде sfs пакета , так как в в последней 68-й другой файл хранения паролей. И это навело меня на мысль, что не плохо бы так подключить Яндекс браузер, тем более, что у меня на Яндексе все! В результате вот что получилось:
https://yadi.sk/d/thMDyLrfrd_UHg сам файл YandexBro64-19.06.2_8.0.sfs 64M
md5 контрольная сумма 1c401006af50eb32a2e3dd70a068dc3c
Техническая информация:
Package: yandex-browser-beta
Version: 19.6.2.594-1
Architecture: amd64
Maintainer: Yandex Browser Team <browser@support.yandex.ru>
Installed-Size: 198436
Pre-Depends: dpkg (>= 1.14.0)
Depends: ca-certificates, fonts-liberation, libappindicator3-1, libasound2 (>= 1.0.16), libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 2.2.0), libatspi2.0-0 (>= 2.9.90), libc6 (>= 2.17), libcairo2 (>= 1.6.0), libcups2 (>= 1.4.0), libdbus-1-3 (>= 1.5.12), libexpat1 (>= 2.0.1), libgcc1 (>= 1:3.0), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.31.8), libgtk-3-0 (>= 3.9.10), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.22), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0), libuuid1 (>= 2.16), libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb1 (>= 1.6), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1), libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxkbfile1, libxrandr2 (>= 2:1.2.99.3), libxrender1, libxss1, libxtst6, lsb-release, wget, xdg-utils (>= 1.0.2)
Recommends: libu2f-udev, chromium-codecs-ffmpeg-extra

Пакетов fonts-liberation, lsb-release в Puppy нету - добавил прямо в модуль.
Удалил 2 видео внутри на 16М
В ярлыках запуска добавлен ключ --no-sandbox
Браузер добавляет директории
/root/.config/yandex-browser-beta для данных (у меня весит 70М)
/root/.cache/yandex-browser-beta для кеша
При запуске из терминала конечно куча ошибок, но факт остается фактом - Работает и оч. шустро.
Спасибо за внимание.
« Последнее редактирование: 02 Август 2019, 09:40:47 от sfs »

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 10303
  • Репутация: +103/-2
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26523
  • Репутация: +179/-0
    • PuppyRus-A
Локализация: Нормального пакета так и не нашел, то полностью не русифицирует, то настройки рабочего стола сносит.
Вот мой гибридный вариант из 2-х пакетов
Сразу +
Вот еще люди работают в этом направлении : 1 (с локализацией - лучше в эту тему) ; 2

Браузеры легко перемещаемы в любой дистр. Готовые модули есть в репах PRA

Придерживайтесь правила - 1 проблема = 1 тема

Оффлайн shelezyaka

  • Ветеран
  • *****
  • Сообщений: 745
  • Репутация: +39/-0
И поставил я себе Puppy Linux 8.0
А поточнее название сборки , не вот эта ? bionicpup64-8.0-uefi
Intel Core 2 E7600 ,GeForce 630   ,  3Gb DDR2 , 2 HDD - 160+80 Gb
Acer Aspire One D270-26Сkk Intel Atom N2800 1.86GHz 2Gb DDR3  HDD - 320 Gb